#include "stdafx.h"

using namespace Win;

LRESULT CALLBACK CustomDlg(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
	int nSize;
	switch (message)
	{
	case WM_INITDIALOG:
		return TRUE;
	
	case WM_COMMAND:
		if (LOWORD(wParam) == ID_TBUTTON || LOWORD(wParam) == IDCANCEL) 
		{
			char cValue[100];
			GetDlgItemText(hDlg, IDC_EDIT_THICKNESS, cValue, 100);
			
			if (cValue == "")
				nSize = 1;
			else
				nSize = GetDlgItemInt(hDlg, IDC_EDIT_THICKNESS, NULL, NULL);
			
			if (nSize > 500)
			{
				MessageBox(hDlg, "Cannot take value > 500", "Alert!", MB_OK);
				SetDlgItemText(hDlg, IDC_EDIT_THICKNESS, "");
			}
			else
			{
				EndDialog(hDlg, nSize);
				SetWindowLong(hDlg, DWL_MSGRESULT, static_cast<LONG>(nSize));
				return TRUE;
			}
		}
		break;
	}
	return FALSE;
}