#include "stdafx.h"

using namespace Win;

RECT CScreen::GetRect() const
{
	RECT rc;
	GetClientRect(m_hWnd, &rc);
	return rc;
}

void CScreen::DrawRectangle() const
{
	HDC hdc = GetDC(m_hWnd);
	RECT rc = GetRect();
	HBRUSH hBrush = CreateSolidBrush(RGB(200,0,0));
	
	SelectObject(hdc, hBrush);
	Rectangle(hdc, 110, 17, rc.right, 0);
	DeleteObject(hBrush);
	ReleaseDC(m_hWnd, hdc);
}

void CScreen::SetColors() const
{
	HDC hdc = GetDC(m_hWnd);
	RECT rc = GetRect();

	HBRUSH hBrush = CreateSolidBrush(RGB(0, 0, 0)); // crna
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 10, rc.bottom - 50, rc.left + 30, rc.bottom - 10);
	DeleteObject(hBrush);

	hBrush = CreateSolidBrush(RGB(255, 0, 0)); // crvena
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 30, rc.bottom - 50, rc.left + 50, rc.bottom - 10);
	DeleteObject(hBrush);

	hBrush = CreateSolidBrush(RGB(255, 255, 0)); // zolta
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 50, rc.bottom - 50, rc.left + 70, rc.bottom - 10);
	DeleteObject(hBrush);

	hBrush = CreateSolidBrush(RGB(0, 255, 0)); // zelena
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 70, rc.bottom - 50, rc.left + 90, rc.bottom - 10);
	DeleteObject(hBrush);
	
	hBrush = CreateSolidBrush(RGB(0, 0, 255)); // plava
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 90, rc.bottom - 50, rc.left + 110, rc.bottom - 10);
	DeleteObject(hBrush);

// ------------------------------- vtor red ------------------------------------

	hBrush = CreateSolidBrush(RGB(255, 255, 255)); // bela
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 10, rc.bottom - 30, rc.left + 30, rc.bottom - 10);
	DeleteObject(hBrush);

	hBrush = CreateSolidBrush(RGB(255, 0, 255)); // magenta
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 30, rc.bottom - 30, rc.left + 50, rc.bottom - 10);
	DeleteObject(hBrush);
	
	hBrush = CreateSolidBrush(RGB(255, 150, 0)); // portokalova
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 50, rc.bottom - 30, rc.left + 70, rc.bottom - 10);
	DeleteObject(hBrush);

	hBrush = CreateSolidBrush(RGB(0, 255, 255)); // tirkizna
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 70, rc.bottom - 30, rc.left + 90, rc.bottom - 10);
	DeleteObject(hBrush);
	
	hBrush = CreateSolidBrush(RGB(150, 0, 255)); // lilana
	SelectObject(hdc, hBrush);
	Rectangle(hdc, rc.left + 90, rc.bottom - 30, rc.left + 110, rc.bottom - 10);
	DeleteObject(hBrush);
	
	ReleaseDC(m_hWnd, hdc);
}

void CScreen::SetScreen() const
{
	DrawRectangle();
	SetColors();
}