#if _MSC_VER > 1000
#pragma once
#endif

#ifndef _WNDMAKER_H_6C085702_C1FF_4965_9588_D0EE8DCD5FC6
#define _WNDMAKER_H_6C085702_C1FF_4965_9588_D0EE8DCD5FC6

namespace Win
{
	class Maker
	{
	public:
		Maker(char const * className,
				 HINSTANCE hInst);
		Maker(char const * className,
				 int x, int y, int width, int height,
				 HWND hPwin,
				 HMENU hMen,
				 HINSTANCE hInst);
	
		void Create(char * Title, DWORD);
		void Show();
	
		HINSTANCE	GetInstance() {return m_hInst;}
		HWND		GetWndHandle() {return m_hWnd;}
	
	private :
		HINSTANCE	m_hInst;
		char const*	m_ClassName;
		DWORD		m_Style;
		int			m_x;
		int			m_y;
		int			m_width;
		int			m_height;	
		HWND		m_pWnd;
		HMENU		m_hMenu;
		void	  * m_data;
	
		Maker() : m_hWnd(0) {}

	protected :
		HWND m_hWnd;
	};
};

#endif