#if _MSC_VER > 1000
#pragma once
#endif

#ifndef _WNDCONTROL_H_3895179F_857F_4626_9902_A8A5362317C1
#define _WNDCONTROL_H_3895179F_857F_4626_9902_A8A5362317C1

#include "stdafx.h"

namespace Win 
{
	class CWndCtrl
	{
	public:
		CWndCtrl(HWND hWnd) : m_hWnd(hWnd), m_lnDraw(), /*m_sl(),*/ m_pressed(false),
							m_ClrRef(RGB(0,0,0)), m_size(1) {}	

		void OnCreate();
		void OnLButtonDown(const LPARAM lParam);
		void OnMouseMove(const LPARAM lParam);
		void OnLButtonUp();
		void OnPaint();
		void UpdatePen(int);
		void UpdatePen(COLORREF);

	private:
		COLORREF GetColor(POINTS) const;
		void DrawMousePos(LPARAM);

		HWND m_hWnd;
		
		CLineDrawer m_lnDraw;
//		CSaveLine m_sl[10000];

		bool m_pressed;
		COLORREF m_ClrRef;
		int m_size;
	};
};

#endif