#include "stdafx.h"

using namespace Win;

Maker::Maker(char const * className,
				   HINSTANCE hInstance) :
		
		m_hInst(hInstance),
		m_ClassName(className),
		m_Style(0),
		m_x(50),
		m_y(50),
		m_width(CW_USEDEFAULT),
		m_height(CW_USEDEFAULT),
		m_pWnd(0),
		m_hMenu(0),
		m_data(0)
{
}

Maker::Maker(char const * className,
			 int x, int y, int width, int height,
			 HWND hPwin,
			 HMENU hMen,
			 HINSTANCE hInstance) :

		m_hInst(hInstance),
		m_ClassName(className),
		m_Style(NULL),
		m_x(x),
		m_y(y),
		m_width(width),
		m_height(height),
		m_pWnd(hPwin),
		m_hMenu(hMen),
		m_data(NULL)
{
}

void Maker::Create(char * Title, DWORD style)
{
	m_hWnd = CreateWindow(
		m_ClassName, 
		Title, 
		style, 
		m_x,
		m_y, 
		m_width, 
		m_height, 
		m_pWnd, 
		m_hMenu,
		m_hInst, 
		0 );

	if (m_hWnd == 0)
		//throw("Internal Error! Creation Failed.");
		MessageBox(m_hWnd, "hsdv", "s", MB_OK);
}

void Maker::Show()
{
	::ShowWindow(m_hWnd, SW_SHOW);
	::UpdateWindow(m_hWnd);
}